MBchristoff

Members
  • Content count

    24
  • Joined

  • Last visited

Community Reputation

0 Neutral

About MBchristoff

  • Rank
    Junior Member

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. MBchristoff

    DSM 6.1.5-15254

    - Outcome of the update: SUCCESSFUL - DSM version prior update: DSM 6.1.4 15217 Update 5 - Loader version and model: Jun's Loader v1.02b - DS3615xs - Installation type: Baremetal @ Supermicro board (Intel C3758) - Additional comments: Had to edit /etc.defaults/synoinfo.conf due to having 15 disks and update VirtualBox to the new 6.1.5 version mentioned earlier in this thread.
  2. MBchristoff

    Poor SSD Write speeds

    That is exactly what I would like to do. Living the storage dream.
  3. MBchristoff

    Poor SSD Write speeds

    My old XPEnology with 5.x did not show any bad speeds either, I don't know if it's due to my hardware or the XPEnology software. Since I just disabled the sequential caching my need to solve this has gone to a lower priority, I originally wanted to use Nvme storage but the current loaders don't support this. If it's a hassle to switch over your ssd's to the XPEnology in any way don't bother. I might install XPEnology on another system with a 10Gb port some day and test the speeds there. Thanks for the offer though.
  4. MBchristoff

    Poor SSD Write speeds

    Hi Yes I am using 10Gbe for my network. I tried making a read/write cache with and without the sequential, but even a normal raid 1 or even 0 of 2 ssd's gave me this issue. The atom did not seem to have a problem with either of the raid setups I have tried. There is some caching involved in my network by the networkcards, the file transfers however were about 40GB/s in size. I'm using Seagate Enterprise drives wich are rated for 250mb/s+ each. My now 5 drive raid 5 manages to get between 600 and 800 mb/s depending on the filetype so caching is just a novelty at this point. The ssd's are directly attached to the embeded sata ports using a sata cable, however I did try them using the SAS connectors via a backplane giving me the same results. I must say I'm very happy with the motherboard so far, even though the Atom is not incredibly powerfull it manages to keep up with a some vm's dockers and video encoding.
  5. MBchristoff

    [VMM] BSOD on install

    For the time being I went back to using phpvirtualbox. I wish to use vmm though for my main NAS its nog viable if I can't use Windows 10 and Server 2016. I'll test vmm when there is an update available on another system so at this moment I am not actively searching for a solution.
  6. MBchristoff

    Poor SSD Write speeds

    I've tried to do internal copying as well with the same results. You can see from the Synology benchmark that it does not use the full 400-500MB/s the 850 evo could do.
  7. MBchristoff

    Poor SSD Write speeds

    Such an odd issue, I want to test if the same happens on a original Synology. I can't recall the poor speeds on my dsm 5.2 XPEnology.
  8. MBchristoff

    Poor SSD Write speeds

    Hi Guys, I've been setting up my XPEnology for the past few weeks and noticed that my write speeds went down horribly after enabling SSD-cache. The transfer starts out at about 1GByte/s (not bit) but goes down all the way to 30MB/s or even lower write speeds, read speeds are fine though. After trying some diffrent settings and also making a RAID 0,1,5 and basic RAID setup the speed still seemed to stay really poor,.. I blamed the network settings at first but noticed my raid5 3 HDD setup manages to keep a steady 500-600MB/s (Bytes not Bits) while transfering from my pc to the XPEnology. Copying a large file from one SSD to another gave me the same poor performance. At the Benchmark in the storage manager the SSD read speed caps out at about 550MB/s but the Write caps out at about 30MB/s. I've tried a different ssd, port, cable and controller so far but nothing seems to help. Booting up Windows and benchmarking the SSD with Crystal Disk Mark gave me about 550/500 Read/Write on both SSDs. I'm using DSM6.1.4-5 on 1.02b with the extra.lmza v4.3 driver package on a SuperMicro a2sdi-h-tf motherboard. I have come across a couple of seemingly similar cases but these were unsolved or different causes (like SMB and networksettings). Does anyone have a tip for me to try out or could give me some advice? Kind regards, Mike
  9. MBchristoff

    DS sees UPS but does not allow me to enable it

    What loader are you using? I can recall one of the 5644 loaders having a issue with UPSes.
  10. I tinkered around with those values because I wanted to exclude the msata ports on the motherboard since I'm not using them and they create a gap in my drives on port 9-10-11. Do you guys figure the value should be on the part under "@@ -276,7 +276,6 @@ support_disk_performance_test="yes"" too, the 916 jun.patch mentioned the drive count twice but only mentions the port configuration in the replace part.
  11. I replaced the _replace commands as well, though without effect. Here the complete jun.patch: jun.patch diff --git a/etc/passwd b/etc/passwd index 6a0344d..cf95fbd 100644 --- a/etc/passwd +++ b/etc/passwd @@ -1,4 +1,4 @@ -root:x:0:0::/root:/bin/ash +root::0:0::/root:/bin/ash system:x:1:1::/usr/syno/synoman:/usr/bin/nologin daemon:x:2:2::/:/bin/sh lp:x:7:7::/var/spool/lpd:/bin/sh diff --git a/etc/rc b/etc/rc index e706c59..2d29b47 100755 --- a/etc/rc +++ b/etc/rc @@ -163,6 +163,8 @@ if [ "$PLATFORM" = "grantley" ]; then fi SYNOLoadIPv6 +. /etc.defaults/rc.modules +KERNEL_MODULES="${KERNEL_MODULES} ${EXTRA_MODULES}" SYNOLoadModules ${KERNEL_MODULES} SYNOLoadAdt7490 SoftLink7490fanInput diff --git a/etc/synoinfo.conf b/etc/synoinfo.conf index 3536bde..f158b28 100755 --- a/etc/synoinfo.conf +++ b/etc/synoinfo.conf @@ -276,7 +276,6 @@ support_disk_performance_test="yes" support_share_quota="yes" support_dr_snap="yes" support_performance_event="yes" -supportadt7490="yes" support_hotspare="yes" vpn_conn_max="30" buzzeroffen="0x9f" -maxdisks="12" +maxdisks="15" -internalportcfg="0xfff" +internalportcfg="0x78FF" -esataportcfg="0x1000" +esataportcfg="0x0" -usbportcfg="0xffe000" +usbportcfg="0x8700" diff --git a/linuxrc.syno b/linuxrc.syno index 78583d2..a8f641b 100755 --- a/linuxrc.syno +++ b/linuxrc.syno @@ -37,12 +37,48 @@ USB_MODULES="${USB_MODULES} etxhci-hcd" # for Etron USB3.0 SupportSAS=`/bin/get_key_value $SYNOINFO_DEF supportsas` SupportDualhead=`/bin/get_key_value $SYNOINFO_DEF support_dual_head` +FixSynoboot() +{ + tail -n+3 /proc/partitions | while read major minor sz name + do + if echo $name | grep -q "^sd[[:alpha:]]*$";then + basename=$name + minor0=$minor + synoboot1="" + synoboot2="" + continue + fi + if [ $name = "${basename}1" -a $sz -le 512000 ]; then + synoboot1="$name" + minor1=$minor + elif [ $name = "${basename}2" -a $sz -le 512000 ]; then + synoboot2="$name" + minor2=$minor + else + continue + fi + if [ -n "$synoboot1" -a -n "$synoboot2" ]; then + rm "/dev/$basename" + rm "/dev/$synoboot1" + rm "/dev/$synoboot2" + # leave other partitions as is for now + mknod /dev/synoboot b $major $minor0 + mknod /dev/synoboot1 b $major $minor1 + mknod /dev/synoboot2 b $major $minor2 + break + fi + done +} + Exit() { if [ -n "$2" ]; then echo "Exit on error [$1] $2..." fi + sleep 2 + [ -e /dev/synoboot ] || FixSynoboot + # show date for login info date @@ -80,6 +116,9 @@ fi # insert basic USB modules for detect f401/FDT echo "Insert basic USB modules..." SYNOLoadModules $USB_MODULES +SYNOLoadModules "usb-storage" +. /etc.defaults/rc.modules +SYNOLoadModules $DISK_MODULES #insert net driver(Mindspeed only) echo "Insert net driver(Mindspeed only)..." @@ -345,8 +384,11 @@ fi # check if upgrade # if [ 0 -eq $FsckFailed ]; then - echo '------------upgrade' - /bin/sh /usr/syno/sbin/upgrade.sh + if echo '------------upgrade';then + /bin/sh /usr/syno/sbin/upgrade.sh + else + /bin/sh /usr/syno/sbin/upgrade.sh > /dev/null + fi if [ $? -ne 0 ]; then touch /.untar_upgrade_file_failed Exit 6 "upgrade failed" diff --git a/usr/sbin/init.post b/usr/sbin/init.post index 17fd86d..b515d25 100755 --- a/usr/sbin/init.post +++ b/usr/sbin/init.post @@ -21,6 +21,126 @@ done mount $RootDevice /tmpRoot -o barrier=1 +RC_MODULES=/etc.defaults/rc.modules +RC_EXTRAS="" +WL_MODULES="" +WL_FIRMWARES="" +OPTIONAL_MODULES="" + +if ! fgrep -q "$RC_MODULES" /tmpRoot/etc/rc; then + /tmpRoot/usr/bin/sed -i '/^SYNOLoadModules \${KERNEL_MODULES}$/{$!{N;s/^.*\n\SYNOLoadAdt7490$/&/ ;t i;P;D;:i +i . '"$RC_MODULES"' +i KERNEL_MODULES="${KERNEL_MODULES} ${EXTRA_MODULES}" +}}' /tmpRoot/etc/rc +fi + +if ! fgrep -q "$RC_MODULES" /tmpRoot/etc.defaults/rc; then + /tmpRoot/usr/bin/sed -i '/^SYNOLoadModules \${KERNEL_MODULES}$/{$!{N;s/^.*\n\SYNOLoadAdt7490$/&/ ;t i;P;D;:i +i . '"$RC_MODULES"' +i KERNEL_MODULES="${KERNEL_MODULES} ${EXTRA_MODULES}" +}}' /tmpRoot/etc.defaults/rc +fi + +if ! fgrep -q '_modpath=/lib/modules/update/${_mod}${_suffix}' /tmpRoot/etc/rc.subr; then + /tmpRoot/usr/bin/sed -i '\%^\t\t_modpath=/lib/modules/${_mod}${_suffix}%{ + i\ \ _modpath=/lib/modules/update/${_mod}${_suffix} + i\ \ [ -f "$_modpath" ] || + }' /tmpRoot/etc/rc.subr +fi + +if ! fgrep -q '_modpath=/lib/modules/update/${_mod}${_suffix}' /tmpRoot/etc.defaults/rc.subr; then + /tmpRoot/usr/bin/sed -i '\%^\t\t_modpath=/lib/modules/${_mod}${_suffix}%{ + i\ \ _modpath=/lib/modules/update/${_mod}${_suffix} + i\ \ [ -f "$_modpath" ] || + }' /tmpRoot/etc.defaults/rc.subr +fi + +/tmpRoot/usr/bin/cmp -s "$RC_MODULES" "/tmpRoot/$RC_MODULES" || + cp "$RC_MODULES" "/tmpRoot/$RC_MODULES" + +. $RC_MODULES + + +# $1 src, $2 dst, $3 shortname +_cp_mod() +{ + local dest="/tmpRoot/$2" + [ -f "$1" ] || return 1 + /tmpRoot/usr/bin/cmp -s "$1" "$dest" && return 2 + + if [ -f "$dest" ]; then + echo "Updating $dest..." + else + [ "x$1" != "x$2" -a -f "/tmpRoot/$1" ] && + /tmpRoot/usr/bin/cmp -s "$1" "/tmpRoot/$1" && + return 3 + echo "Installing $dest..." + local d=`dirname "$dest"` + [ -d "$d" ] || mkdir -p "$d" || return 4 + fi + cp -a "$1" "$dest" +} + +# should modify module to avoid overwrite firmware +# otherwise there is no good way to update firmware +_cp_fw() +{ + local dst="/tmpRoot/$2" + /tmpRoot/usr/bin/cmp -s "$1" "$dst" && return 1 + if [ -f "$dst" ]; then + echo "Updating $dst..." + else + local d=`dirname "$dst"` + [ -d "$d" ] || mkdir -p "$d" || return 2 + echo "Installing $dst..." + fi + cp -a "$1" "/tmpRoot/$2" +} + +for mod in $DISK_MODULES $EXTRA_MODULES $OPTIONAL_MODULES; do + src=/usr/lib/modules/${mod}.ko + dest=/usr/lib/modules/update/${mod}.ko + _cp_mod $src $dest + #echo "install $mod returns $?" +done + +for fw in $EXTRA_FIRMWARES; do + path=/usr/lib/firmware/${fw} + _cp_fw $path $path + #echo "install $fw returns $?" +done + +#$1 pattern, $2 path +_del() +{ + if grep -q "$1" "$2";then + /tmpRoot/usr/bin/sed -i "$2" -e "/$1/ d" + fi +} + +_del 'supportadt7490="yes"' /tmpRoot/etc.defaults/synoinfo.conf + +#$1 pattern, $2 replace, $3 path +_replace() +{ + if grep -q "$1" "$3";then + /tmpRoot/usr/bin/sed -i "$3" -e "s/$1/$2/" + fi +} + +_replace 'esataportcfg="ff000"' 'esataportcfg="0x0"' /tmpRoot/etc.defaults/synoinfo.conf +_replace 'usbportcfg="0x300000"' 'usbportcfg="0x8700"' /tmpRoot/etc.defaults/synoinfo.conf +_replace 'internalportcfg="0xfff"' 'internalportcfg="0x78FF"' /tmpRoot/etc.defaults/synoinfo.conf +_replace 'maxdisks="12"' 'maxdisks="15"' /tmpRoot/etc.defaults/synoinfo.conf + +UPSTART="/tmpRoot/usr/share/init" + +if ! echo; then + _replace '^start on' '#start on' $UPSTART/tty.conf + _replace "console output" "console none" $UPSTART/syno_poweroff_task.conf + _replace "console output" "console none" $UPSTART/burnin_loader.conf + _replace "console output" "console none" $UPSTART/udevtrigger.conf + _replace "console output" "console none" $UPSTART/bs-poweroff.conf + _replace "console output" "console none" $UPSTART/udevd.conf +else + _replace '^#start on' 'start on' $UPSTART/tty.conf +fi + mkdir -p /tmpRoot/initrd umount /proc &> /dev/null Hide
  12. Tried to edit jun.patch with the following, did not work for me though. System did boot after restore, no changes found in synoinfo.conf after boot. diff --git a/etc/synoinfo.conf b/etc/synoinfo.conf index 3536bde..f158b28 100755 --- a/etc/synoinfo.conf +++ b/etc/synoinfo.conf @@ -276,7 +276,6 @@ support_disk_performance_test="yes" support_share_quota="yes" support_dr_snap="yes" support_performance_event="yes" -supportadt7490="yes" support_hotspare="yes" vpn_conn_max="30" buzzeroffen="0x9f" -maxdisks="12" +maxdisks="15" -internalportcfg="0xfff" +internalportcfg="0x78FF" -esataportcfg="0x1000" +esataportcfg="0x0" -usbportcfg="0xffe000" +usbportcfg="0x8700"
  13. Did not work for me when testing, nvme didn't get detected.
  14. I'm getting a plain message saying: "Could not install "VirtualBox""while installing the packages for 6.1.4 downloaded on from the links on this thread. I'm running 6.1.4-15217 on 1.02b 3617xs.
  15. MBchristoff

    [VMM] BSOD on install

    I'm having the same problem with Windows 10, same for server 2016. Windows 7 seems to work.